### Name: processArrayData
### Title: processArrayData
### Aliases: processArrayData


### ** Examples

       LOADPATH <- file.path(.path.package("arrayMagic"), "data")
       SAVEPATH <- LOADPATH
        SLIDEDESCRIPTIONFILE <- "slideDescription.txt"
  
        resultList <- processArrayData(
                             loadPath=LOADPATH, 
                              savePath=SAVEPATH,
                             slideDescriptionFile=SLIDEDESCRIPTIONFILE,
                             sampleAnnotationColumns=NA
                  )
       writeToFile(exprSetArrayObject=resultList$exprSetArrayObject,
                   arrayDataObject=resultList$arrayDataObject,
                   fileName=file.path(SAVEPATH,"normalisedData.txt"))
       summarizedResult <- slideMerge(
                                           exprSetArrayObject=resultList$exprSetArrayObject,
                                           slideMergeVariable="replicates",
                                           sampleAnnotationColumns=
                                              resultList$sampleAnnotationColumns
                                          )

        qPL <- qualityParameters(arrayDataObject=resultList$arrayDataObject,
                         exprSetArrayObject=resultList$exprSetArrayObject)

        visualiseQualityParameters(qualityParametersList=qPL$qualityParameters)

        qualityDiagnostics(exprSetArrayObject=resultList$exprSetArrayObject,
                    arrayDataObject=resultList$arrayDataObject,
                    normObject=resultList$normObject,
                    qualityParametersList=qPL)

         resultListG <- processArrayData(
                             loadPath=LOADPATH, 
                              savePath=SAVEPATH,
                             slideDescriptionFile=SLIDEDESCRIPTIONFILE,
                             sampleAnnotationColumns=NA,
                             plotOutput="pdf",
                             hybridisationGroups = list((1:4),(5:9))
                  )
   ## Don't show:
        result2 <- processArrayData(
                             loadPath=LOADPATH, 
                              savePath=SAVEPATH,
                             spotsRemovedBeforeNormalisation = "Blank",
                             slideDescriptionFile=SLIDEDESCRIPTIONFILE,
                             sampleAnnotationColumns=NA,
                             channelsSeparately=TRUE
                  )
        result3 <- processArrayData(
                             loadPath=LOADPATH, 
                              savePath=SAVEPATH,
                             slideDescriptionFile=SLIDEDESCRIPTIONFILE,
                             sampleAnnotationColumns=NA,
                             channelsSeparately=TRUE,
                             normalisationMethod="quantile"
                  )
        result4 <- processArrayData(
                             loadPath=LOADPATH, 
                              savePath=SAVEPATH,
                             slideDescriptionFile=SLIDEDESCRIPTIONFILE,
                             sampleAnnotationColumns=NA,
                             channelsSeparately=FALSE,
                             normalisationMethod="quantile"
                  )
        SLIDEDESCRIPTIONFILE <- "slides.txt" # slideD.tex points to complete gpr files for loess !
        result5 <- processArrayData(
                             loadPath=LOADPATH, 
                              savePath=SAVEPATH,
                             spotsRemovedBeforeNormalisation = NULL,
                             slideDescriptionFile=SLIDEDESCRIPTIONFILE,
                             spotsSetToZeroWeightAndRemovedAfterNormalisation="Blank",
                             sampleAnnotationColumns=NA,
                             channelsSeparately=FALSE,
                             normalisationMethod="loess"
                  )
        result5 <- processArrayData(
                             loadPath=LOADPATH, 
                              savePath=SAVEPATH,
                             spotsRemovedBeforeNormalisation = NULL,
                             slideDescriptionFile=SLIDEDESCRIPTIONFILE,
                             sampleAnnotationColumns=NA,
                             channelsSeparately=FALSE,
                             normalisationMethod="loessScale"
                  )
        result6 <- processArrayData(
                             loadPath=LOADPATH, 
                              savePath=SAVEPATH,
                             spotsRemovedBeforeNormalisation = NULL,
                             slideDescriptionFile=SLIDEDESCRIPTIONFILE,
                             sampleAnnotationColumns=NA,
                             channelsSeparately=FALSE,
                             hybridisationGroups = list((1:4),(5:9)),
                             normalisationMethod="loess"
                  )
        result7 <- processArrayData(
                             loadPath=LOADPATH, 
                              savePath=SAVEPATH,
                             spotsRemovedBeforeNormalisation = NULL,
                             slideDescriptionFile=SLIDEDESCRIPTIONFILE,
                             sampleAnnotationColumns=NA,
                             channelsSeparately=FALSE,
                             hybridisationGroups = list((1:4),(5:9)),
                             normalisationMethod="loessQuantile"
                  )
        qPL <- qualityParameters(arrayDataObject=result7$arrayDataObject,
                         exprSetArrayObject=result7$exprSetArrayObject)

        visualiseQualityParameters(qualityParametersList=qPL$qualityParameters,
                                   plotOutput="pdf")

        qualityDiagnostics(exprSetArrayObject=result7$exprSetArrayObject,
                    arrayDataObject=result7$arrayDataObject,
                    normObject=result7$normObject,
                    qualityParametersList=qPL,
                    plotOutput="pdf")

    ## End Don't show     
 


